petsc-3.6.2 2015-10-02
Report Typos and Errors

# InsertMode

Whether entries are inserted or added into vectors or matrices

### Synopsis

    typedef enum {NOT_SET_VALUES, INSERT_VALUES, ADD_VALUES, MAX_VALUES, INSERT_ALL_VALUES, ADD_ALL_VALUES, INSERT_BC_VALUES, ADD_BC_VALUES} InsertMode;

### See Also

VecSetValues(), MatSetValues(), VecSetValue(), VecSetValuesBlocked(),
VecSetValuesLocal(), VecSetValuesBlockedLocal(), MatSetValuesBlocked(), MatSetValuesBlockedLocal(), MatSetValuesLocal(), VecScatterBegin(), VecScatterEnd()

Level:beginner
Location:include/petscsys.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages